﻿using System;

namespace Td.Additional.ComponentModel
{
    /// <summary>
    /// Reference list attribute.
    /// </summary>
    [AttributeUsage(AttributeTargets.Property, Inherited = true, AllowMultiple = false)]
    public sealed class ReferenceListAttribute : Attribute
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ReferenceListAttribute"/> class.
        /// </summary>
        public ReferenceListAttribute()
            : base()
        {
        }
    }
}