﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Td.Additional.Log
{
    /// <summary>
    /// Notify log interface.
    /// </summary>
    public interface INotifyLog : ILog
    {
        #region Event

        /// <summary>
        /// Occurs when a new entry is created.
        /// </summary>
        event EventHandler<EventArgs<LogEntry>> NewEntry;

        #endregion
    }
}