﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestApp.Xml
{
    public class Contact : BaseComponent
    {
        public Address Address { get; set; }

        public List<Contact> Friends { get; set; }

        public Contact SpecialFriend { get; set; }

        public Contact()
            : base()
        {
            Friends = new List<Contact>();
        }

        public Contact(Address address)
            : this()
        {
            Address = address;
        }
    }
}