﻿using System;

namespace Td.Additional.ComponentModel
{
    /// <summary>
    /// Ignore empty lists attribute.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class, Inherited = true, AllowMultiple = false)]
    public sealed class IgnoreEmptyListsAttribute : Attribute
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="IgnoreEmptyListsAttribute"/> class.
        /// </summary>
        public IgnoreEmptyListsAttribute()
        {
        }
    }
}