namespace Td.Additional.Log
{
    /// <summary>
    /// Log level enumeration
    /// </summary>
    public enum LogLevel
    {
        /// <summary>
        /// Dont log anything
        /// </summary>
        None,
        /// <summary>
        /// Fatal
        /// </summary>
        Fatal,
        /// <summary>
        /// Critical
        /// </summary>
        Critical,
        /// <summary>
        /// Errors
        /// </summary>
        Error,
        /// <summary>
        /// Warnings
        /// </summary>
        Warn,
        /// <summary>
        /// Informations
        /// </summary>
        Info,
        /// <summary>
        /// Debug
        /// </summary>
        Debug,
        /// <summary>
        /// Do log everything
        /// </summary>
        All,
    }
}