﻿using System;
using Td.Additional.Runtime;

namespace TestApp
{
    static class Program
    {
        /// <summary>
        /// Der Haupteinstiegspunkt für die Anwendung.
        /// </summary>
        [STAThread]
        static void Main()
        {
            if (InstanceManager.ManagerInstance.IsAlreadyRunning)
            {
                InstanceManager.ManagerInstance.Send(Environment.CommandLine);
                //MessageBox.Show("Another instance is already running.");
                return;
            }
            System.Windows.Forms.Application.EnableVisualStyles();
            System.Windows.Forms.Application.SetCompatibleTextRenderingDefault(false);
            System.Windows.Forms.Application.Run(new Form1());
        }
    }
}
